local function printTable(table, n)
	if not n then n = 0 end
	for k, v in pairs(table) do
		local printText = ""
		for i = 1, n do
			printText = printText .. "    "
		end
		printText = printText .. "[" .. k .. "] = " .. tostring(v)
		print(printText)
		if type(v) == "table" then
			n = n + 1
			printTable(v, n)
		end
	end
end
